
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wendy.fsb" ),
		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/twilight.zip" ),
}
local prefabs = {}

local start_inv = 
{
        "firestaff",
        "icestaff",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "berries",
        "twicane",
}

local fn = function(inst)
	inst.soundsname = "wendy"
	inst.MiniMapEntity:SetIcon( "wendy.png" )
	inst.components.health:SetMaxHealth(75)
	inst.components.hunger:SetMax(90)
        inst.components.sanity:SetMax(300)
	inst.components.combat.damagemultiplier = 3.5
        inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.3)
	inst.components.eater.foodprefs = { "VEGGIE", "SEEDS", "GENERIC" }
	TUNING.SANITY_DAY_GAIN = -5/60
	TUNING.SANITY_NIGHT_LIGHT = 20/60
	TUNING.SANITY_NIGHT_MID = 10/60
        inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.9 )
        inst.components.builder.magic_bonus = 3
        inst.components.eater.strongstomach = true
	inst.components.eater.ignoresspoilage = true
	table.insert(inst.components.eater.foodprefs, "TWIFOOD")
end


STRINGS.CHARACTER_TITLES.twilight = "Twilight Sparkle ( Equestria Girls )"
STRINGS.CHARACTER_NAMES.twilight = "Twilight Sparkle"
STRINGS.CHARACTER_DESCRIPTIONS.twilight = "All magic,superior sanity,Fast speed...but Low hp & don't eat meat & fast hunger rate"
STRINGS.CHARACTER_QUOTES.twilight = "Friendship is Magic !"


return MakePlayerCharacter("twilight", prefabs, assets, fn, start_inv)
